package com.hs.admin.service;

import com.hs.admin.bean.SysTask;

/**
 * @author xieheng
 */
public interface SchedulerJobService {
    boolean initJob(SysTask sysTask);

    boolean runNow(SysTask sysTask);

    boolean pauseJob(SysTask sysTask);

    boolean resumeJob(SysTask sysTask);

    boolean deleteJob(SysTask sysTask);

    SysTask editCron(SysTask task, String cron);
}
